from practicum import McuBoard

RQ_GETACC_X=0
RQ_GETACC_Y=1
RQ_GETACC_Z=2

####################################
class ReadAccelerometer(McuBoard):
    ################################
    def GetX(self):
    	'''
        Send Requestnumber 0 (X-axis)
        '''
        ans = self.usb_read(RQ_GETACC_X ,length=2)
	return ans[0] + ans[1] * 256
	
    ################################
    def GetY(self):
    	'''
        Send Requestnumber 1 (Y-axis)
        '''
        ans = self.usb_read(RQ_GETACC_Y ,length=2)
	
	return ans[0] + ans[1] * 256

    ################################
    def GetZ(self):
        '''
        Send Requestnumber 2 (Z-axis)
        '''
        ans = self.usb_read(RQ_GETACC_Z ,length=2)
	
	return ans[0] + ans[1] * 256

    # Use To Show All Volt in axis
    def PrintValue(self):
    	ans3 = self.usb_read(RQ_GETACC_Z ,length=2)
    	ans2 = self.usb_read(RQ_GETACC_Y ,length=2)
    	ans1 = self.usb_read(RQ_GETACC_X ,length=2)
	X = ans1[0] + ans1[1] * 256
	Y = ans2[0] + ans2[1] * 256
	Z = ans3[0] + ans3[1] * 256
	print "X = %d , Y = %d , Z = %d " % (X,Y,Z)
	
    def Vector(self):
    	Voffset = 328.0
    	One = 18.0 #const of 0.083V/g
    	ans3 = self.usb_read(RQ_GETACC_Z ,length=2)
    	ans2 = self.usb_read(RQ_GETACC_Y ,length=2)
    	ans1 = self.usb_read(RQ_GETACC_X ,length=2)
	X = ans1[0] + ans1[1] * 256
	Y = ans2[0] + ans2[1] * 256
	Z = ans3[0] + ans3[1] * 256
	print "<%.3f,%.3f,%.3f>" % ((X-Voffset)*1.0/One , (Y-Voffset)*1.0/One , (Z-Voffset)*1.0/One )
	return ((X-Voffset)*1.0/One , (Y-Voffset)*1.0/One , (Z-Voffset)*1.0/One)
